com.jogamp.opengl.util.texture.spi

## Class LEDataOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - java.io.FilterOutputStream
    - - com.jogamp.opengl.util.texture.spi.LEDataOutputStream

- All Implemented Interfaces:
    Closeable, DataOutput, Flushable, AutoCloseable

      public class LEDataOutputStream
      extends FilterOutputStream
      implements DataOutput

  Little Endian Data Output Stream. This class implements an output stream filter to allow writing of java native datatypes to an output stream which has those native datatypes stored in a little endian byte order.

  This is the sister class of the DataOutputStream which allows for writing of java native datatypes to an output stream with the datatypes stored in big endian byte order.

  This class implements the minimum required and calls DataOutputStream for some of the required methods for DataOutput.

  Not all methods are implemented due to lack of immediate requirement for that functionality. It is not clear if it is ever going to be functionally required to be able to read UTF data in a LittleEndianManner

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LEDataOutputStream(OutputStream out)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `write(byte[] b)`
    `void` | `write(byte[] b, int off, int len)`
    `void` | `write(int b)`
    `void` | `writeBoolean(boolean v)`
    `void` | `writeByte(int v)`
    `void` | `writeBytes(String s)` Don't call this -- not implemented
    `void` | `writeChar(int v)`
    `void` | `writeChars(String s)` Don't call this -- not implemented
    `void` | `writeDouble(double v)`
    `void` | `writeFloat(float v)`
    `void` | `writeInt(int v)`
    `void` | `writeLong(long v)`
    `void` | `writeShort(int v)`
    `void` | `writeUTF(String s)` Don't call this -- not implemented

    - ### Methods inherited from class java.io.FilterOutputStream

      `flush`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LEDataOutputStream

          public LEDataOutputStream(OutputStream out)

  - ### Method Detail

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Overrides:
        `close` in class `FilterOutputStream`
      Throws:
        `IOException`

    - #### write

          public final void write(byte[] b)
                           throws IOException

      Specified by:
        `write` in interface `DataOutput`
      Overrides:
        `write` in class `FilterOutputStream`
      Throws:
        `IOException`

    - #### write

          public final void write(byte[] b,
                   int off,
                   int len)
                           throws IOException

      Specified by:
        `write` in interface `DataOutput`
      Overrides:
        `write` in class `FilterOutputStream`
      Throws:
        `IOException`

    - #### write

          public final void write(int b)
                           throws IOException

      Specified by:
        `write` in interface `DataOutput`
      Overrides:
        `write` in class `FilterOutputStream`
      Throws:
        `IOException`

    - #### writeBoolean

          public final void writeBoolean(boolean v)
                                  throws IOException

      Specified by:
        `writeBoolean` in interface `DataOutput`
      Throws:
        `IOException`

    - #### writeByte

          public final void writeByte(int v)
                               throws IOException

      Specified by:
        `writeByte` in interface `DataOutput`
      Throws:
        `IOException`

    - #### writeBytes

          public final void writeBytes(String s)
                                throws IOException

      Don't call this -- not implemented
      Specified by:
        `writeBytes` in interface `DataOutput`
      Throws:
        `IOException`

    - #### writeChar

          public final void writeChar(int v)
                               throws IOException

      Specified by:
        `writeChar` in interface `DataOutput`
      Throws:
        `IOException`

    - #### writeChars

          public final void writeChars(String s)
                                throws IOException

      Don't call this -- not implemented
      Specified by:
        `writeChars` in interface `DataOutput`
      Throws:
        `IOException`

    - #### writeDouble

          public final void writeDouble(double v)
                                 throws IOException

      Specified by:
        `writeDouble` in interface `DataOutput`
      Throws:
        `IOException`

    - #### writeFloat

          public final void writeFloat(float v)
                                throws IOException

      Specified by:
        `writeFloat` in interface `DataOutput`
      Throws:
        `IOException`

    - #### writeInt

          public final void writeInt(int v)
                              throws IOException

      Specified by:
        `writeInt` in interface `DataOutput`
      Throws:
        `IOException`

    - #### writeLong

          public final void writeLong(long v)
                               throws IOException

      Specified by:
        `writeLong` in interface `DataOutput`
      Throws:
        `IOException`

    - #### writeShort

          public final void writeShort(int v)
                                throws IOException

      Specified by:
        `writeShort` in interface `DataOutput`
      Throws:
        `IOException`

    - #### writeUTF

          public final void writeUTF(String s)
                              throws IOException

      Don't call this -- not implemented
      Specified by:
        `writeUTF` in interface `DataOutput`
      Throws:
        `IOException`

Copyright 2010 JogAmp Community.